<template>
  <div class="container">
    <div class="panel">
      <div class="panel-heading">
        <h3 class="text-lg sm:text-xl md:text-2xl">
          <span class="trainingTitle">{{ training.title }}</span>
          chez
          <span class="school">{{ training.school }}</span>
        </h3>
        <h4 class="text-md sm:text-lg md:text-xl mt-1 mb-1">
          <span class="trainingDetails">
            <span class="training-date block sm:inline-block">
              <font-awesome-icon :icon="['fas', 'clock']"/>
              {{ formatDate(training.start) }} - {{ formatDate(training.end) }}
            </span>
            <span class="training-location">
              <font-awesome-icon :icon="['fas', 'location-arrow']"/>
              {{ training.location }}
            </span>
          </span>
        </h4>
      </div>
      <div class="panel-block">
        <nuxt-content :document="training"/>
      </div>
    </div>
  </div>
</template>

<script>
import {formatDate} from '../../../services/utils/DateUtils'

export default {
  props: {
    training: {
      type: Object,
      default: () => null
    }
  },
  methods: {
    formatDate
  }
}
</script>
